typedef signed int8_t;
typedef char uint8_t;
typedef short uint16_t;
typedef int uint32_t;
#define portSTACK_TYPE uint32_t
typedef portSTACK_TYPE StackType_t;
typedef long BaseType_t;
typedef long UBaseType_t;
#if configUSE_16_BIT_TICKS == else
typedef uint32_t TickType_t;
uint32_t vPortRaiseBASEPRI_ulNewBASEPRI;
#endif
void vPortRaiseBASEPRI() {
  __asm volatile(
      "\n	isb								"
      "						\n	dsb		"
      : "=r"(vPortRaiseBASEPRI_ulNewBASEPRI));
}
void vPortSetBASEPRI(uint32_t ulNewMaskValue) {
  __asm("	msr basepri, %0	" ::"r"(ulNewMaskValue));
}
typedef int StaticTask_t;
struct xLIST_ITEM {
  TickType_t xItemValue;
  struct xLIST_ITEM *pxNext;
  struct xLIST_ITEM *pxPrevious;
  void *pvOwner;
  void *pvContainer;
} typedef ListItem_t;
struct xMINI_LIST_ITEM {
  TickType_t xItemValue;
  struct xLIST_ITEM *pxNext;
};
typedef struct {
  UBaseType_t uxNumberOfItems;
  struct xMINI_LIST_ITEM xListEnd;
} List_t;
#if 1
void *xTaskCreateStatic(void(), char *, uint32_t, void *, UBaseType_t,
                        StackType_t *, StaticTask_t *);
#endif
void vTaskStartScheduler();
TickType_t xTaskGetTickCount();
BaseType_t xTaskRemoveFromEventList();
BaseType_t xTaskCheckForTimeOut();
typedef void (*TimerCallbackFunction_t)();
BaseType_t xTimerCreateTimerTask();
